#include <SoftwareSerial.h>
#include <Wire.h>
SoftwareSerial BT(10,11); //Define LED11 & LED12 as RX and TX pins

int LED_RED = 3;
int LED_GREEN = 5;
int LED_BLUE = 6;

String data = ""; 
String data_Previous = "255.255.255"; 
String ON = "LON"; 
String OFF = "LOFF"; 
boolean state = false;
 
void setup() 
{
  pinMode (LED_RED, OUTPUT);
  pinMode (LED_GREEN, OUTPUT);
  pinMode (LED_BLUE, OUTPUT);
  Serial.begin(9600); 
  BT.begin(9600);
  data.reserve(30);
}
 
void loop() 
{

  while(BT.available())
  {
    char ReadChar = (char)BT.read();
    Serial.println("Connected");
    if(ReadChar == '+')
    {
      state = true;
    }
    else
    {
       data += ReadChar;
    }
  }
  
  if(state)
  {
      Serial.print("data:");
      Serial.print(data);
      Serial.print("     Predata:");
      Serial.print(data_Previous);
      
      if(data==ON)
      {
          data = data_Previous; 
          Data_LED();
      }
      else if(data==OFF)
      {
          data = "0.0.0"; 
          Data_LED();
      }
      else
      {
          Data_LED();   
          data_Previous = data;     
      }
      data = "";
      state = false;      
      
  } 
} 
 
void Data_LED()
{
 
  int seperator1 = data.indexOf('-');
  int seperator2 = data.indexOf('-', seperator1+1);
  int seperator3 = data.indexOf('-', seperator2+1);
  String R = data.substring(0, seperator1);
  String G = data.substring(seperator1+1, seperator2);
  String B = data.substring(seperator2+1, seperator3);
  
  Serial.println("\t");
  Serial.print( constrain(R.toInt(),0,255));
  Serial.print(",");
  Serial.print(constrain(G.toInt(),0,255));
  Serial.print(",");
  Serial.println( constrain(B.toInt(),0,255));
 
  analogWrite(LED_RED,  (R.toInt()));
  analogWrite(LED_GREEN, (G.toInt()));
  analogWrite(LED_BLUE,  (B.toInt()));
 
}